## kde-workspace 4.8.2a

=== CMakeLists.txt ===
project(KDEBASE_WORKSPACE)

# Used e.g. in KDE4WorkspaceConfig.cmake, Alex
set(KDE4WORKSPACE_VERSION_MAJOR 4)
set(KDE4WORKSPACE_VERSION_MINOR 8)
set(KDE4WORKSPACE_VERSION_PATCH 2)
set(KDE4WORKSPACE_VERSION ${KDE4WORKSPACE_VERSION_MAJOR}.${KDE4WORKSPACE_VERSION_MINOR}.${KDE4WORKSPACE_VERSION_PATCH} )


# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH} )

#search packages used by KDE
set(QT_MIN_VERSION "4.7.0")
set(KDE_MIN_VERSION "4.8.2")
set(SOPRANO_MIN_VERSION "2.5.63")
find_package(KDE4 ${KDE_MIN_VERSION} REQUIRED)
find_package(Strigi REQUIRED)
find_package(ZLIB REQUIRED)
find_package(KActivities 6.0.0 REQUIRED)
find_package(DBusMenuQt 0.6.0 REQUIRED)
find_package(QImageBlitz REQUIRED)
macro_optional_find_package(OpenGL)
macro_optional_find_package(OpenGLES)

if(Q_WS_X11)
  if(NOT X11_XTest_FOUND)
    macro_log_feature(X11_XTest_FOUND "libXtst" "X11 Testing Resource extension library" "http://xorg.freedesktop.org" FALSE "" "useful for automated testing of X clients.")
  endif(NOT X11_XTest_FOUND)
  if(NOT X11_Xau_FOUND)
    macro_log_feature(X11_Xau_FOUND "libXau" "X11 Authorization Protocol library" "http://xorg.freedesktop.org" FALSE "" "Needed by KDM.")
  endif(NOT X11_Xau_FOUND)
  if(NOT X11_Xdmcp_FOUND)
    macro_log_feature(X11_Xdmcp_FOUND "libXdmcp" "X Display Manager Control Protocol library" "http://xorg.freedesktop.org" FALSE "" "Needed by KDM.")
  endif(NOT X11_Xdmcp_FOUND)
  # Other X11 libraries that are used unconditionally elsewhere
  # without testing if they are found. With these log messages
  # you get a nice complaint about missing required packages
  # before the CMake error list of unused variables.
  if(NOT X11_Xkbfile_FOUND)
    macro_log_feature(X11_Xkbfile_FOUND "libXkbfile" "X11 keyboard layout library" "http://xorg.freedesktop.org" TRUE "" "Needed for keyboard modules.")
  endif(NOT X11_Xkbfile_FOUND)
  if(NOT X11_Xcomposite_FOUND)
    macro_log_feature(X11_Xcomposite_FOUND "libXcomposite" "X11 composite library" "http://xorg.freedesktop.org" TRUE "" "Needed for plasma tray and notifications.")
  endif(NOT X11_Xcomposite_FOUND)
  if(NOT X11_Xdamage_FOUND)
    macro_log_feature(X11_Xdamage_FOUND "libXdamage" "X11 damaged region extension library" "http://xorg.freedesktop.org" TRUE "" "Needed for Compositing support in KWin.")
  endif(NOT X11_Xdamage_FOUND)
  if(NOT X11_Xrender_FOUND)
    macro_log_feature(X11_Xrender_FOUND "libXrender" "X Rendering Extension client library" "http://xorg.freedesktop.org" TRUE "" "Needed for XRender Compositing backend in KWin.")
  endif(NOT X11_Xrender_FOUND)
  if(NOT X11_Xfixes_FOUND)
    macro_log_feature(X11_Xfixes_FOUND "libXfixes" "X11 miscellaneous 'fixes' extension library" "http://xorg.freedesktop.org" TRUE "" "Needed for XRender Compositing backend in KWin.")
  endif(NOT X11_Xfixes_FOUND)
  if(NOT X11_Xrandr_FOUND)
    macro_log_feature(X11_Xrandr_FOUND "libXrandr" "X11 RandR extension library" "http://xorg.freedesktop.org" TRUE "" "Needed for Multi Screen Support.")
  endif(NOT X11_Xrandr_FOUND)
  if(NOT OPENGL_FOUND AND NOT OPENGLES_FOUND)
    macro_log_feature(OPENGL_FOUND "OpenGL" "OpenGL" "http://www.opengl.org/" FALSE "" "Needed to build OpenGL Compositing backend in KWin")
    macro_log_feature(OPENGLES_FOUND "OpenGL ES" "OpenGL ES 2.0" "http://www.khronos.org/opengles/" FALSE "" "Needed to build OpenGL ES 2.0 Compositing backend in KWin")
    set(OPENGL_OR_ES_FOUND FALSE)
    macro_log_feature(OPENGL_OR_ES_FOUND "OpenGL (ES)" "OpenGL (ES)" "http://mesa3d.org/" TRUE "" "Either OpenGL or OpenGL ES 2.0 are required for Compositing support in KWin.")
  endif(NOT OPENGL_FOUND AND NOT OPENGLES_FOUND)
endif(Q_WS_X11)

macro_optional_find_package(GLIB2)
macro_log_feature(GLIB2_FOUND "glib2" "Low-level core library for data structure handling, portability wrappers, etc." "http://www.gtk.org" FALSE "2.x" "Needed to build the kxkb keyboard map control program and provide XMMS support in the Now Playing Plasma data engine")

macro_optional_find_package(Fontconfig)

macro_optional_find_package(Googlegadgets)
macro_log_feature(GOOGLEGADGETS_FOUND "GoogleGadgets" "Google Gadgets library" "http://code.google.com/p/google-gadgets-for-linux/" FALSE "0.11.0" "Needed to build plasma scriptengine for google gadgets")

#### Python support ####
macro_optional_find_package(PythonLibrary)

macro_optional_find_package(SIP)
if(SIP_FOUND AND SIP_VERSION STRLESS "040701")
  message(STATUS "The version of SIP found is too old. 4.7.1 or later is needed.")
  set(SIP_FOUND)
endif(SIP_FOUND AND SIP_VERSION STRLESS "040701")

include(SIPMacros)

macro_optional_find_package(PyQt4)
if(PYQT4_FOUND AND PYQT4_VERSION STRLESS "040400")
  message(STATUS "The version of PyQt found is too old. 4.4.0 or later is required.")
  set(PYQT4_FOUND)
endif(PYQT4_FOUND AND PYQT4_VERSION STRLESS "040400")

macro_optional_find_package(PyKDE4)
set(PythonSupport_FOUND TRUE)

#### End Python support ####

include(MacroLibrary)
include(KDE4Defaults)

macro_optional_find_package(Nepomuk)
macro_log_feature(Nepomuk_FOUND "Nepomuk" "Nepomuk Libraries" "kdelibs" FALSE "" "Required to build Nepomuk features.")
macro_optional_find_package(Boost)
macro_log_feature(Boost_FOUND "Boost" "Boost C++ Libraries" "www.boost.org" FALSE "" "Required to build certain Plasma DataEngines (Akonadi, RSS, Calendar)")
macro_optional_find_package(Akonadi)
macro_log_feature(Akonadi_FOUND "Akonadi" "An extensible cross-desktop storage service for PIM data" "http://pim.kde.org/akonadi" FALSE "" "Required to build certain Plasma DataEngines (Akonadi, Calendar)")
macro_optional_find_package(KdepimLibs 4.5.60)
macro_log_feature(KdepimLibs_FOUND "KDE PIM Libs" "KDE Libraries for PIM" "http://pim.kde.org/" FALSE "4.5.60" "Required to build certain Plasma DataEngines (Akonadi, Calendar)")


include(ConfigureChecks.cmake)
if(NOT WIN32)
  configure_file(config-unix.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-unix.h )
  configure_file(config-X11.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-X11.h )
  if(NOT CMAKE_INSTALL_PREFIX STREQUAL "/usr")
    set(EXPORT_XCURSOR_PATH "XCURSOR_PATH=${CMAKE_INSTALL_PREFIX}/share/icons:$XCURSOR_PATH\":~/.icons:/usr/share/icons:/usr/share/pixmaps:/usr/X11R6/lib/X11/icons\"; export XCURSOR_PATH")
  endif(NOT CMAKE_INSTALL_PREFIX STREQUAL "/usr")
  configure_file(startkde.cmake ${CMAKE_CURRENT_BINARY_DIR}/startkde  @ONLY)
endif(NOT WIN32)
configure_file(config-workspace.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-workspace.h )

add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS} -DHAVE_CONFIG_H=1)
add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES} ${KACTIVITIES_INCLUDE_DIRS} ${CMAKE_SOURCE_DIR}/libs)

add_definitions(-DDISABLE_NEPOMUK_LEGACY)

# libs
add_subdirectory(cmake)
add_subdirectory(libs)

# system settings (kcontrol replacement)
if(${KDE_PLATFORM_PROFILE} STREQUAL "Desktop")
   macro_optional_add_subdirectory( systemsettings )
endif(${KDE_PLATFORM_PROFILE} STREQUAL "Desktop")

# core apps
if(NOT WIN32)
   macro_optional_add_subdirectory( kcheckpass )
   macro_optional_add_subdirectory( kwin )
   macro_optional_add_subdirectory( ksmserver )
   macro_optional_add_subdirectory( ksplash )
   macro_optional_add_subdirectory( powerdevil )
   macro_optional_add_subdirectory( qguiplatformplugin_kde )
   macro_optional_add_subdirectory( ksysguard )
endif(NOT WIN32)

if(${KDE_PLATFORM_PROFILE} STREQUAL "Desktop")
   macro_optional_add_subdirectory(kcontrol)
   macro_optional_add_subdirectory(klipper)
   macro_optional_add_subdirectory(kmenuedit)
   macro_optional_add_subdirectory(krunner)
   macro_optional_add_subdirectory(solid)
   macro_optional_add_subdirectory(kstartupconfig)
   macro_optional_add_subdirectory(freespacenotifier)

   # data
   macro_optional_add_subdirectory(doc)

   if (Q_WS_X11)
      macro_optional_add_subdirectory(kinfocenter)
   endif (Q_WS_X11)

   if(NOT WIN32)
      macro_optional_add_subdirectory(kscreensaver)
      macro_optional_add_subdirectory(kcminit)
      macro_optional_add_subdirectory(khotkeys)
      macro_optional_add_subdirectory(kwrited)
      macro_optional_add_subdirectory(ksystraycmd)
      # data
      macro_optional_add_subdirectory(cursors)
   endif(NOT WIN32)

   if(X11_Xau_FOUND AND X11_Xdmcp_FOUND)
      add_subdirectory( kdm )
   else(X11_Xau_FOUND AND X11_Xdmcp_FOUND)
      message(STATUS "Xau lib or Xdmcp lib was missing. kdm will not compile")
   endif(X11_Xau_FOUND AND X11_Xdmcp_FOUND)
endif(${KDE_PLATFORM_PROFILE} STREQUAL "Desktop")

macro_optional_add_subdirectory(plasma)
macro_optional_add_subdirectory(statusnotifierwatcher)
macro_optional_add_subdirectory(kstyles)

########### install files ###############
if(NOT WIN32)
  install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/startkde DESTINATION ${BIN_INSTALL_DIR})
endif(NOT WIN32)

macro_display_feature_log()

# make the libraries installed from kdebase/workspace available to other projects
# by creating and installing a KDE4WorkspaceConfig.cmake file, which will
# be searched and found by kdelibs/cmake/modules/FindKDE4Workspace.cmake. Alex

# now create the KDE4WorkspaceConfig.cmake file, which will be loaded by 
# kdelibs/cmake/modules/FindKDE4Workspace.cmake and which has to contain all information
# about the libraries installed from kdebase/workspace/libs/ anybody would like to have. Alex

# we need the absolute directories where stuff will be installed too
# but since the variables which contain the destinations can be relative
# or absolute paths, we need this macro to make them all absoulte, Alex
macro(MAKE_INSTALL_PATH_ABSOLUTE out in)
   if (IS_ABSOLUTE "${in}")    # IS_ABSOLUTE is new since cmake 2.4.8
      set(${out} "${in}")
   else (IS_ABSOLUTE "${in}")
      set(${out} "\${KDE4WORKSPACE_INSTALL_DIR}/${in}")
   endif (IS_ABSOLUTE "${in}")
endmacro(MAKE_INSTALL_PATH_ABSOLUTE out in)

make_install_path_absolute(KDE4WORKSPACE_LIB_DIR     ${LIB_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_LIBEXEC_DIR ${LIBEXEC_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_INCLUDE_DIR ${INCLUDE_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_BIN_DIR     ${BIN_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_SBIN_DIR    ${SBIN_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_DATA_DIR    ${DATA_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_HTML_DIR    ${HTML_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_CONFIG_DIR  ${CONFIG_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_ICON_DIR    ${ICON_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_KCFG_DIR    ${KCFG_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_LOCALE_DIR  ${LOCALE_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_MIME_DIR    ${MIME_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_SOUND_DIR   ${SOUND_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_TEMPLATES_DIR    ${TEMPLATES_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_WALLPAPER_DIR    ${WALLPAPER_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_KCONF_UPDATE_DIR    ${KCONF_UPDATE_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_AUTOSTART_DIR    ${AUTOSTART_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_XDG_APPS_DIR        ${XDG_APPS_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_XDG_DIRECTORY_DIR   ${XDG_DIRECTORY_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_SYSCONF_DIR ${SYSCONF_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_MAN_DIR     ${MAN_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_INFO_DIR    ${INFO_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_DBUS_INTERFACES_DIR ${DBUS_INTERFACES_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_DBUS_SERVICES_DIR   ${DBUS_SERVICES_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_SERVICES_DIR ${SERVICES_INSTALL_DIR})

=== debian/changelog ===
kde-workspace (4:4.8.2a-0ubuntu4) precise-proposed; urgency=low

  * Add missing epoch in breaks/replaces of libkwinnvidiahack4

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 12 Apr 2012 19:32:48 +0200

kde-workspace (4:4.8.2a-0ubuntu3) precise-proposed; urgency=low

  * Rebuild for .pot generation

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 12 Apr 2012 16:32:04 +0100

kde-workspace (4:4.8.2a-0ubuntu2) precise; urgency=low

  [ Rodrigo Belem ]
  * Move kwin4_effect_builtins.so to kde-window-manager
  * Move libkwinnvidiahack4 to its own package
  * Add breaks/replaces for kde-window-manager-common on
    libkwinnvidiahack4 and kde-window-manager << 4:4.8.2a-0ubuntu2~
  * Enable kwinactive (LP: #956186)
  * Build the source twice to create kwinactive binaries
  * Add the packages
    - kde-window-manager-active
    - kde-window-manager-active-gles
    - libkwinactiveglutils1
    - libkwinactiveglesutils1
    - libkwinactiveeffects1abi3
    - libkwinactivenvidiahack4
  * Fix kwinactive build failure with the patch
    kubuntu_active_fix_kwin_xrender_disable.diff

  [ Philip Muškovac ]
  * kde-window-manager/-gles depends on libkwinnvidiahack4
    kde-window-manager-active/-gles depends on libkwinactivenvidiahack4
  * use ${allLibaries} to generate the library dependencies for
    kde-workspace-dev again

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 10 Apr 2012 19:37:37 +0200

kde-workspace (4:4.8.2a-0ubuntu1) precise; urgency=low

  * Bump upstream version to 4.8.2a to support upgrades from test PPA

 -- Scott Kitterman <scott@kitterman.com>  Thu, 05 Apr 2012 22:16:00 -0400

kde-workspace (4:4.8.2-0ubuntu2) precise; urgency=low

  * Update debian/patches/kubuntu_netbook_favourites.diff to include missing
    search and launch application icons when running a live netbook session
    (LP: #943073)

 -- Scott Kitterman <scott@kitterman.com>  Thu, 05 Apr 2012 21:41:57 -0400

kde-workspace (4:4.8.2-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 31 Mar 2012 00:24:59 +0200

kde-workspace (4:4.8.1-0ubuntu4) precise; urgency=low

  * kdmrc_defaults_kubuntu.diff:
    - Enable TerminateServer by default to work around graphics
      driver issues

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 18 Mar 2012 23:36:01 +0100

kde-workspace (4:4.8.1-0ubuntu3) precise; urgency=low

  * kubuntu_gtk2_engines_oxygen_config.diff:
    - Make sure echo from coreutils is used for reliable \n handling
    - Don't remove gtk2-default-theme.rc.sh, it's a regression in case
      xsettings-kde isn't installed.
  * Refresh kubuntu_plasma_netbook_for_small_screens.diff

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 13 Mar 2012 22:48:50 +0100

kde-workspace (4:4.8.1-0ubuntu2) precise; urgency=low

  * Bump breaks/replaces of plasma-widgets-workspace for 4.8 (LP: #950408)

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 12 Mar 2012 19:46:39 +0100

kde-workspace (4:4.8.1-0ubuntu1) precise; urgency=low

  [ Philip Muškovac ]
  * New upstream release 
    - add networkmanager icons to kde-workspace-data.install

  [ Felix Geyer ]
  * Drop libkwineffects1abi2-gles package since it's apparently obsolete.

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 07 Mar 2012 17:04:46 +0100

kde-workspace (4:4.8.0b-0ubuntu6) precise; urgency=low

  * Add plasma-active as optional dependency of kde-workspace-bin

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 05 Mar 2012 11:54:59 +0000

kde-workspace (4:4.8.0b-0ubuntu5) precise; urgency=low

  [ Philip Muškovac ]
  * Add stripes.png to kde-workspace-data-extras and install it again
    (LP: #937553)
  * Bump breaks/replaces of kde-workspace-data-extras on kde-workspace-data

  [ Scott Kitterman ]
  * Add plasma-widgets-workspace Breaks/Replaces 
    libplasma-applet-system-monitor4 for Lucid -> Precise upgrades
    (LP: #942402)

 -- Scott Kitterman <scott@kitterman.com>  Mon, 27 Feb 2012 23:56:19 -0500

kde-workspace (4:4.8.0b-0ubuntu4) precise; urgency=low

  * Remove stripes.png from kde-workspace-data.install

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 16 Feb 2012 20:07:50 +0100

kde-workspace (4:4.8.0b-0ubuntu3) precise; urgency=low

  * kdmrc_defaults_kubuntu.diff:
    - fix xsessions directories
    - don't install and use stripes.png in kdm background settings

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 16 Feb 2012 19:41:47 +0100

kde-workspace (4:4.8.0b-0ubuntu2) precise; urgency=low

  [ Felix Geyer ]
  * kde-workspace-bin: depend on qdbus as it's needed by startkde.

  [ Philip Muškovac ]
  * kubuntu_gtk2_engines_oxygen_config.diff:
    - set gtk-theme-name to the current value if it's missing in
      gtkrc-2.0-kde4
    - remove gtk2-default-theme.rc.sh on login, it's not used by xsettings-kde
    - don't copy gtk2-default-theme.rc.sh on login
  * Drop kubuntu_remove_startkde_cruft.diff as it breaks krandrstartup
  * Refresh kubuntu_startkde_set_country.diff

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 12 Feb 2012 22:25:30 +0100

kde-workspace (4:4.8.0b-0ubuntu1) precise; urgency=low

  * New upstream release
  * In kdm.postinst add KDM upgrade command for new default Theme
  * In debian/control change 4.7.2 overwrites to 4.7.4 for people using updates

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 19 Jan 2012 12:01:22 +0000

kde-workspace (4:4.7.97-0ubuntu1) precise; urgency=low

  [ Jonathan Riddell ]
  * New upstream RC release

  [ Felix Geyer ]
  * Update symbol files.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 04 Jan 2012 13:14:57 +0000

kde-workspace (4:4.7.95-0ubuntu1) precise; urgency=low

  [ Philip Muškovac ]
  * New upstream release candidate
    - bump ABI of libkworkspace4
    - remove missing headers from kde-workspace-dev.install
    - Move horos kdm theme from kdm to kde-workspace-data-extras
    - Add ariya kdm theme to kdm
    - refresh not-installed
  
  [ Felix Geyer ]
  * Fix extended-description-line-too-long lintian warnings.
  * Merge 4:4.7.4-1 from Debian experimental.



=== debian/control ===
Source: kde-workspace
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>, Fathi Boudra <fabo@debian.org>, Armin Berres <armin+debian@space-based.de>,
 Modestas Vainius <modax@debian.org>, George Kiagiadakis <kiagiadakis.george@gmail.com>,
 José Manuel Santamaría Lema <panfaust@gmail.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.8.2),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12), dpkg-dev (>= 1.15.5),
 libdlrestrictions-dev (>= 0.14), kdelibs5-dev (>= 4:4.8.1), kdepimlibs5-dev (>= 4:4.8.1),
 libstrigiqtdbusclient-dev (>= 0.6.3), libstreamanalyzer-dev (>= 0.6.3),
 libqimageblitz-dev (>= 1:0.0.4-2),
 zlib1g-dev,
 libdbusmenu-qt-dev (>= 0.6.0),
 libfontconfig-dev,
 libglu1-mesa-dev, libqt4-opengl-dev, libgles2-mesa-dev [linux-any kfreebsd-any],
 python-dev (>= 2.6.6-3~),
 shared-desktop-ontologies (>= 0.8),
 libpam0g-dev,
 libnm-util-dev (>= 0.9) [linux-any],
 network-manager-dev (>= 0.9) [linux-any],
 libraw1394-dev [linux-any],
 libusb-dev, libpci-dev,
 libakonadi-dev (>= 1.1.95), libboost1.46-dev,
 libgps-dev (>= 2.90),
 libck-connector-dev, libdbus-1-dev,
 libsensors4-dev [linux-any],
 libdevstat-dev [kfreebsd-any],
 libxkbfile-dev, libxrandr-dev, libxrender-dev, libxcomposite-dev, libxdamage-dev,
 libxfixes-dev, libxft-dev, libxtst-dev, libxss-dev, libsm-dev, libxinerama-dev, libxi-dev,
 libpng12-dev, libjpeg-dev, libxcursor-dev,
 libqalculate-dev, libglib2.0-dev,
 libqtwebkit-dev,
 libprison-dev, kdelibs5-experimental-dev, libkactivities-dev
Standards-Version: 3.9.2
X-Python-Version: >= 2.5
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kde-workspace
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kde-workspace
X-Vcs-Debian-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kde-workspace.git
X-Vcs-Debian-Git: git://git.debian.org/pkg-kde/kde-sc/kde-workspace.git

Package: kde-workspace
Architecture: all
Depends:  kde-workspace-bin (>= ${source:Version}), ${misc:Depends},
 klipper (>= ${source:Version}), ksysguard (>= ${source:Version}), 
 kde-window-manager (>= ${source:Version}) | kde-window-manager-gles (>= ${source:Version}), 
 systemsettings (>= ${source:Version}), freespacenotifier (>= ${source:Version})
Recommends: kdm (>= ${source:Version}), kinfocenter (>= ${source:Version}),
 kmenuedit (>= ${source:Version})
Breaks: libpowerdevilcore0, kdebase-workspace (<< 4:4.7.4) 
Replaces: libpowerdevilcore0, kdebase-workspace (<< 4:4.7.4) 
Description: KDE Plasma Workspace components
 KDE is produced by an international technology team that creates free and open
 source software for desktop and portable computing. Among KDE's products are a
 modern desktop system for Linux and UNIX platforms, comprehensive office
 productivity and groupware suites and hundreds of software titles in many
 categories including Internet and web applications, multimedia, entertainment,
 educational, graphics and software development.
 .
 This package provides a basic KDE desktop installation.

Package: kdebase-workspace
Section: oldlibs
Architecture: all
Depends: ${misc:Depends}, kde-workspace
Description: transitional package for kde-workspace
 This is a dummy transitional package for kde-workspace and can be safely
 removed after the installation is complete.

Package: plasma-desktop
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
 plasma-widgets-workspace (= ${binary:Version}), kde-wallpapers-default,
 libkactivities-bin
Recommends: kde-workspace
Replaces: kdebase-workspace-bin (<< 4:4.5.80), plasma-widgets-workspace (<< 4:4.5.80),
 kdebase-workspace-data (<< 4:4.6.80)
Breaks: kdebase-workspace-bin (<< 4:4.5), kdebase-workspace-data (<< 4:4.6.80),
 plasma-widget-networkmanagement (<< 0.1+git20110422.810bc16-1+)
Description: KDE Plasma workspace for desktop and laptop computers
 Provides the environment for running and managing applications and integrating
 interaction of applications. It is designed as generic environment for all
 kinds of desktop applications, not only applications built on the KDE Platform.
 It integrates best with applications following the standards used by the KDE
 Platform.
 .
 This package is part of the KDE base workspace module.

Package: plasma-netbook
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
 plasma-widgets-workspace (= ${binary:Version}), kde-wallpapers-default,
 libkactivities-bin
Recommends: kde-workspace
Replaces: plasma-widgets-workspace (<< 4:4.5.80)
Description: KDE Plasma workspace for netbook computers
 Provides the environment for running and managing applications and integrating
 interaction of applications. It is designed as generic environment for all
 kinds of applications in a netbook environment, not only applications built on
 the KDE Platform. It integrates best with applications following the standards
 used by the KDE Platform.
 .
 This package is part of the KDE base workspace module.

Package: kde-workspace-bin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, iso-codes,
 plasma-desktop (= ${binary:Version}) | plasma-netbook (= ${binary:Version}) | plasma-active,
 kde-workspace-data (= ${source:Version}), x11-utils, x11-xserver-utils,
 kde-workspace-kgreet-plugins (= ${binary:Version}), qdbus
Recommends: polkit-kde-1 (>= 0.99) | policykit-1-gnome,
 upower [linux-any]
Suggests: x11-xkb-utils, plasma-scriptengines
Replaces: kcontrol, ktip, libkfontinst4, ksplash, kdesktop,
 kde-window-manager (<< 4:4.5.80), kdebase-workspace-data (<< 4:4.6.80),
 kdebase-workspace-libs4+5, kinfocenter (<= 4:4.5.80),
 plasma-widgets-workspace (<< 4:4.5.80), systemsettings (<< 4:4.5.80),
 kdebase-runtime (<< 4:4.5), kdebase-data (<< 4:4.5), libpowerdevilcore0,
 plasma-dataengines-workspace (<< 4:4.6.80), kdebase-workspace-bin (<< 4:4.6.90)
Breaks: kcontrol, ktip, libkfontinst4, kdesktop, ksplash,
 kdebase-runtime (<< 4:4.5), kdebase-data (<< 4:4.5), polkit-kde-1 (<< 0.99),
 kdebase-workspace-data (<< 4:4.6.80), libpowerdevilcore0,
 plasma-dataengines-workspace (<< 4:4.6.80), kdebase-workspace-bin (<< 4:4.6.90)
Description: core binaries for the KDE Plasma Workspace
 This package contains miscellaneous programs needed for a basic desktop
 installation. Among other standard KDE Workspace components, the package
 provides startkde scripts, ksmserver (the session manager), krunner,
 the default KDE screensavers and many KDE configuration modules. This
 package is essential to start and use KDE Plasma Workspace.
 .
 This package is part of the KDE base workspace module.

Package: kdebase-workspace-bin
Section: oldlibs
Architecture: all
Depends: ${misc:Depends}, kde-workspace-bin
Description: transitional package for kde-workspace-bin
 This is a dummy transitional package for kde-workspace-bin and can be safely
 removed after the installation is complete.

Package: kde-workspace-data
Architecture: all
Depends: oxygen-cursor-theme, ${misc:Depends}, ${perl:Depends}
Replaces: ksmserver, ktip, ksplash, libplasma1,
 kdebase-runtime-data (<< 4:4.5), kdebase-workspace-data (<< 4:4.6.90),
 kde-icons-mono (<< 4:4.6.80)
Breaks: ksmserver, ktip, ksplash, libplasma1,
 kdebase-runtime-data (<< 4:4.5), kdebase-workspace-data (<< 4:4.6.90),
 kde-icons-mono (<< 4:4.6.80)
Suggests: kde-wallpapers
Description: shared data files for the KDE Plasma Workspace
 This package contains architecture-independent shared data files needed for a
 basic KDE Workspace installation.
 .
 This package is part of the KDE base workspace module.

Package: kde-workspace-data-extras
Architecture: all
Depends: kde-wallpapers, kde-workspace-data (>= ${source:Version}),
 ${misc:Depends}, ${perl:Depends}
Replaces: ksmserver, ktip, ksplash, libplasma1,
 kdebase-runtime-data (<< 4:4.5), kdebase-workspace-data (<< 4:4.6.90),
 kde-icons-mono (<< 4:4.6.80), kde-workspace-data (<< 4:4.8.0b-0ubuntu5~),
 kdm (<< 4:4.7.95), kdebase-workspace-wallpapers (<< 4:4.6.90)
Breaks: ksmserver, ktip, ksplash, libplasma1,
 kdebase-runtime-data (<< 4:4.5), kdebase-workspace-data (<< 4:4.6.90),
 kde-icons-mono (<< 4:4.6.80), kde-workspace-data (<< 4:4.8.0b-0ubuntu5~),
 kdm (<< 4:4.7.95), kdebase-workspace-wallpapers (<< 4:4.6.90)
Description: extra data files for the KDE Plasma Workspace
 This package contains extra shared data files that aren't installed by default
 for space reasons.
 .
 This package is part of the KDE base workspace module.

Package: kde-workspace-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${allLibraries},
 ${sameVersionDep:kdelibs5-dev:kde-workspace-bin}
Breaks: libksignalplotter4 (<< 4:4.5.0), kdebase-workspace-dev (<< 4:4.7.4)
Replaces: libksignalplotter4 (<< 4:4.5.0), kdebase-workspace-dev (<< 4:4.7.4)
Description: development files for the KDE Plasma Workspace
 This package contains development files for building software that uses
 libraries from the KDE Plasma Workspace.
 .
 This package is part of the KDE base workspace module.

Package: kdebase-workspace-dev
Architecture: all
Depends: ${misc:Depends}, kde-workspace-dev
Description: transitional package for kde-workspace-dev
 This is a dummy transitional package for kde-workspace-dev and can be safely
 removed after the installation is complete.

Package: plasma-dataengines-workspace
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: ksysguardd (= ${binary:Version})
Replaces: plasma-widgets-workspace (<= 4:4.5.2-1ubuntu1), plasma-desktop (<< 4:4.6.80),
 plasma-netbook (<< 4:4.6.80)
Breaks: plasma-widgets-workspace (<= 4:4.5.2-1ubuntu1), plasma-desktop (<< 4:4.6.80),
 plasma-netbook (<< 4:4.6.80)
Description: KDE Plasma data engines
 This package contains standard Plasma data engines shipped in KDE Plasma
 workspace. These engines are needed by the standard KDE base
 workspace Plasma widgets, but they may be useful for any other Plasma widget
 too.
 .
 This package is part of the KDE base workspace module.

Package: plasma-widgets-workspace
Architecture: any
Depends: ${shlibs:Depends}, plasma-dataengines-workspace (= ${binary:Version}), ${misc:Depends},
 akonadi-server, kdepim-runtime
Provides: notification-daemon, indicator-renderer
Replaces: plasma-dataengines-workspace (<< 4:4.8), plasma-desktop (<< 4:4.8),
 libplasma-applet-system-monitor4
Breaks: plasma-dataengines-workspace (<< 4:4.8), plasma-desktop (<< 4:4.8),
 libplasma-applet-system-monitor4
Description: plasma widgets and containments for the KDE Plasma Workspace
 This package contains standard Plasma widgets and containments shipped in the
 KDE base workspace module. They provide such basic desktop functionality as
 the panel, task manager, application laucher, clock and more. The default KDE
 Workspace is a combination of these visual components.
 .
 This package also includes the default animator used by the main KDE Plasma
 Desktop shell.
 .
 This package is part of the KDE base workspace module.

Package: plasma-scriptengines
Architecture: all
Depends: plasma-scriptengine-javascript (>= 4:4.2.95),
# plasma-scriptengine-qedje (>= ${source:Version}),
 plasma-scriptengine-ruby (>= ${source:Version}),
 plasma-scriptengine-python (>= ${source:Version}),
 plasma-scriptengine-webkit (>= ${source:Version}),
 ${misc:Depends}
Recommends: plasma-scriptengine-superkaramba
Suggests: plasma-scriptengine-kimono
Description: metapackage to install all Plasma script engines
 This metapackage depends on all Plasma script engines which kde-workspace
 module provides and suggests script engines from other official KDE modules.
 .
 This package is part of the KDE base workspace module.

#Package: plasma-scriptengine-qedje
#Architecture: any
#Depends: ${shlibs:Depends}, ${misc:Depends}
#Description: QEdje script engine for Plasma
# This package provides the Edje script engine for Plasma. You have to install it
